Bug 1023985 - Raising exceptions results in garbage objects
Raising exceptions results in garbage objects
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dbus-python (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks: F23PYTHON3 1014548
  Show dependency treegraph
 
Reported: 2013-10-28 09:58 EDT by Thomas Woerner
Modified: 2015-02-17 12:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:50:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example tar archive with mechanism.py and test.py (10.00 KB, application/x-tar)
2013-10-28 09:58 EDT, Thomas Woerner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 71013 None None None Never

  None (edit)
Description Thomas Woerner 2013-10-28 09:58:35 EDT
Created attachment 816812 [details]
example tar archive with mechanism.py and test.py

Description of problem:
python3 gc finds garbage objects if Exceptions are used in the mechanism.

Version-Release number of selected component (if applicable):
python3-dbus-1.1.1-5.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install python3-dbus
2. Extract example tar archive as root
3. cd example
4. make install
5. python3 mechanism.py
6. Open another root-shell, got to the example directory: python3 test.py

Actual results:
Garbage objects

Expected results:
No garbage objects

Additional info:
This is not a problem if using python2.
Comment 1 Thomas Woerner 2013-10-28 10:02:46 EDT
There seems to be a race condition somewhere. The test.py script just calls the raise_exception method in ExampleObject several times.
Comment 2 Thomas Woerner 2013-10-28 10:20:39 EDT
The example bases on the examples from python-slip, but without polkit and python-slip support.
Comment 3 Thomas Woerner 2013-10-28 10:45:11 EDT
This is also a problem in Fedora 20.
Comment 4 Rex Dieter 2013-10-28 11:50:22 EDT
Mind testing
https://admin.fedoraproject.org/updates/dbus-python-1.2.0-1.fc20
?

If that helps here, can consider doing a f19 update too.
Comment 5 Thomas Woerner 2013-10-28 12:25:40 EDT
I updated to this version in my Fedora-19 installation and the problem is still there.
Comment 6 Rex Dieter 2013-10-28 13:26:28 EDT
OK, thanks. :(

Mind poking upstream?

https://bugs.freedesktop.org/enter_bug.cgi?product=dbus

against 'python' component.
Comment 7 Thomas Woerner 2013-10-29 13:40:47 EDT
Opened upstream bugzilla https://bugs.freedesktop.org/show_bug.cgi?id=71013
Comment 8 Fedora End Of Life 2015-01-09 15:23:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 12:50:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.